/* You can add global styles to this file, and also import other style files */

$enable-important-utilities: false; // this prevents bootstrap from applying !important in utility classes.
@import "../node_modules/bootstrap/dist/css/bootstrap.css" layer(bootstrap);

@import "../node_modules/font-awesome/css/font-awesome.css";

@import "../node_modules/primeng/resources/themes/saga-green/theme.css";
@import "../node_modules/primeng/resources/primeng.min.css";
@import "../node_modules/primeflex/primeflex.css";
@import "../node_modules/primeicons/primeicons.css";

@import "Leobit/theme.css";
@import "assets/_variables.css";
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200;300;400;600&display=swap');

html {
  position: relative;
  min-height: 100%;
  height: 100%;
  font-size: 14px;
}

body  {
  margin: 0;
  font-family: "Open Sans", "Helvetica Neue", sans-serif;
  font-size: 14px;
  background-color: var(--color-main-background);
  height: 100%;
  line-height: 1.5;
  color: var(--color-main-text);
  text-align: left;
  // margin-bottom: 90px;
}

body .container {
  max-width: 100%;
  padding: 0 40px;
  padding-bottom: 1%;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus {
  -webkit-text-fill-color: var(--color-content-text) !important;
  -webkit-box-shadow: 0 0 0px 40rem var(--color-content-background) inset !important;
  caret-color: var(--color-content-text) !important;
}

/* Spacing classes with primeflex values */
.p-p-5 {
  padding: 2rem !important;
}
.p-pt-5, .p-py-5 {
  padding-top: 2rem !important;
}
.p-pr-5, .p-px-5 {
  padding-right: 2rem !important;
}
.p-pb-5, .p-py-5 {
  padding-bottom: 2rem !important;
}
.p-pl-5, .p-px-5 {
  padding-left: 2rem !important;
}


.p-m-5 {
  margin: 2rem !important;
}
.p-mt-5, .p-my-5 {
  margin-top: 2rem !important;
}
.p-mr-5, .p-mx-5 {
  margin-right: 2rem !important;
}
.p-mb-5, .p-my-5 {
  margin-bottom: 2rem !important;
}
.p-ml-5, .p-mx-5 {
  margin-left: 2rem !important;
}

.p-table .table-with-action-buttons {

  .p-table-thead>tr>th:last-of-type,
  .p-table-tbody>tr>td:last-of-type {
    padding: 2px;
  }

  .p-widget:disabled {
    background-color: gray;
    border-color: gray;
    cursor: not-allowed;
  }
}

.project-assignment-override,
.category-assignment-override,
.role-assignment-override {
  .p-listbox {
    .p-listbox-header {
      border-color: var(--color-panel-border);
      border-bottom-left-radius: 0;
      border-bottom-right-radius: 0;
      background-color: var(--color-panel-background);

      .p-listbox-filter-container {
        width: 100% !important;
      }
    }

    .p-listbox-list {
      .p-listbox-item {
        min-height: 30px;
        max-height: 100px;
      }

      .p-listbox-item.p-state-disabled {
        opacity: 1;
      }
    }

    .p-listbox-list-wrapper {
      max-height: none !important;
    }

    .p-listbox-footer {
      border-color: var(--color-panel-border);
      border-top-left-radius: 0;
      border-top-right-radius: 0;
      background-color: var(--color-panel-background);
    }
  }
}

.accounts-override,
.division-hierarchy-override {
  legend {
    font-size: 14px;
    width: auto;
  }
}

.projects-override {
  legend {
    font-size: 14px;
    width: auto;
  }
}

.settings-override {
  legend {
    font-size: 14px;
    width: auto;
  }
}

.footer-filter-dropdown-content {
  width: calc(100% - 3em);
}

@media only screen and (max-width: 600px) {
  .container {
    max-width: calc(100% - 32px);
  }
}

body .p-datepicker:not(.p-datepicker-inline) {
  margin-left: -115px;
}

.rowStyle {
  font-weight: bold;
  padding: 0.571em 0.857em !important;
}

div.p-widget-overlay.p-dialog-mask {
  z-index: 1000 !important;
}
div .changeMode{
  margin: 8px;
}

.p-tooltip {
  max-width: 19rem;

  & .p-tooltip-arrow {
    width: 0;
    height: 0;
    border-width: 0;
  }

  & .p-tooltip-text {
    font-size: 13px;
  }

  &.p-tooltip-right.tooltip-icon-button {
    margin-left: 16px;
  }
}

div.warning {
  background: var(--color-content-warning-backgroud);
  color: var(--color-content-warning);
  font-size: 14px;
  line-height: 1.25rem;
  padding: .75rem 1rem;
  border-radius: 3px;
}

.p-progress-spinner {
  width: 50px !important;
  height: 50px !important;

  .p-progress-spinner-circle {
    animation:
      progress-spinner-dash 1.5s ease-in-out infinite,
      progress-spinner-color 6s ease-in-out infinite;
  }

  @keyframes progress-spinner-color {
    100%,
    0% {
        stroke: #29bf0e;
    }
    40% {
        stroke: #479318;
    }
    66% {
        stroke: #73ea77;
    }
    80%,
    90% {
        stroke: #92e482;
    }
  }
  
  @keyframes progress-spinner-dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35px;
    }
    100% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124px;
    }
  }
}
